# TootTally WebsocketLibs

> Version: 1.0.0

Websocket server management for [TootTally](https://toottally.com/).

First head to the TootTally setting Twitch page and follow the instructions.
Press F8 to toggle the request panel in game.

NOTICE: Some people asked to display the song name when requesting but this is very dangerous. If someone maliciously upload a chart with unwanted words in it, using the names in chat could result in a permanent twitch ban. For this reason only the songIDs and leaderboard links will be displayed.

COMMAND LIST:
!ttr [id]
!ttrhelp
!profile
!song
!queue
!last
!history

INSTRUCTIONS:
1. Instructions for first time usage/setup:
2. Install the mod and open the game normally
3. Open TootTally Settings (the button to the left of the Play/Collect buttons)
4. Click Twitch
5. Under Twitch Integration, place your Twitch username on the first line and press Enter.
6. Click Authorize TootTally on Twitch. This will open your browser to https://toottally.com/twitch/
7. Follow the steps on the website, and authorize TootTally on Twitch.
8. Copy the Access Token given to you, and place it under your Twitch username on TootTally Twitch settings. (Alternatively, hop back onto Trombone Champ and press Refresh Access Token)
9. Click Connect/Disconnect Bot to start integration (or alternatively, hop straight into the song select screen). Your game may freeze for a bit when starting up the bot.
10. And you're done! Test the bot by typing any of the three commands above!

Instructions for usage after:
1. Open the game
2. Bot should automatically connect, if move to step 3
3. Head to TootTally Settings and the twitch page
4. Scroll down and click "Connect Bot"

NOTE: To access the Requests panel, press F8 in the song list screen. If you have the chart requested, pressing play will close the panel and lead you directly to the chart. If you do not have the chart requested, it will open the TootTally page for the chart.

Still in active development.

### Customer Service

For more help, join the [Trombone Champ Modding Discord](https://discord.gg/KVzKRsbetJ) or the [TootTally Discord](https://discord.gg/9jQmVEDVTp)

### TootTally Installation Instructions

Charts being tracked can be searched in https://toottally.com/search/ or accessed programmatically in https://toottally.com/api/songs/
Charts can be manually uploaded in https://toottally.com/upload/

A guide for creating custom themes can be found [here](https://bit.ly/toottallythemeguide)

